# Download document **GET /employers/{employerId}/employees/{employeeId}/documents/{documentId}/download** Returns a pre-signed URL for downloading the document PDF. The URL is valid for 5 minutes. The response body is a plain text URL. Redirect the user or make a GET request to the returned URL to download the PDF. ## Servers - Production: https://partner-api.getpenfold.com/v1 (Production) - Staging: https://partner-api.getpenfold.dev/v1 (Staging) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **employerId** (string(uuid)) Penfold employer UUID - **employeeId** (string) Unique identifier for the employee - **documentId** (string) Unique identifier for the document ## Responses ### 200 Pre-signed S3 URL for the document PDF (valid for 5 minutes). #### Body: text/plain (string(uri)) string(uri) ### 401 Missing or invalid authentication token #### Body: application/json (object) - **error** (string) ### 404 Resource not found #### Body: application/json (object) - **error** (string) ### 500 Internal server error #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)